package com.fjhx.enums;

import lombok.Getter;

/**
 * 流程节点指定处理对象类型枚举
 */
@Getter
public enum ProcessNodeHandleObjectTypeEnum {

    ALL(1), // 全部
    USER(2), // 指定用户
    ROLE(3), // 指定角色
    DEPT(4), // 指定部门
    ;

    private final Integer type;

    ProcessNodeHandleObjectTypeEnum(Integer type) {
        this.type = type;
    }

}
